### Constructor

# Gtk SignalActionnew

#### Declaration [src]

    GtkShortcutAction*
    gtk_signal_action_new (
      const char* signal_name
    )

#### Description [src]

Creates an action that when activated, emits the given action signal on the provided widget.

It will also unpack the args into arguments passed to the signal.

#### Parameters

`signal_name`

  Type: `const char*`

  Name of the signal to emit.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSignalAction`

A new `GtkShortcutAction`

The caller of the function takes ownership of the data, and is responsible for freeing it.